Function
appendSeqs
Appends all sequences stored in files of directory to a StringSet.
appendSeqs(seqSet, dirName, formatTag)
Include Headers
seqan/file.h
Parameters

seqSet | A StringSet of sequences to append to. Types: StringSet
dirName | A path to a directory or single file. Types: String
formatTag | A file format tag. Types: AutoSeqFormat, File Format

Remarks
This function scans a directory and searches for filenames corresponding to the sequence format store in formatTag, opens them and append their contained sequences to the seqSet. If formatTag is a AutoSeqFormat object, the file format is set to the first known sequence format guessed from a file name.
See Also
assignSeq
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:46